Event
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
GET |
Retrieve event filter
Returns the event filter config for the team, or null if not yet created.
Required API key scopes
event_filter:readPath parameters
- project_idstring
Response
Example request
GET /api /environments /:project_id /event_filterExample response
Status 200
Create event filter
Create or update the event filter config.
Required API key scopes
event_filter:writePath parameters
- project_idstring
Request parameters
- mode
- filter_tree
- test_cases
Response
Example request
POST /api /environments /:project_id /event_filterExample response
Status 200
Retrieve event filter metrics
Single event filter per team. GET /event_filter/ — returns the config (or null if not yet created) POST /event_filter/ — creates or updates the config (upsert) GET /event_filter/metrics/ — time-series metrics GET /event_filter/metrics/totals/ — aggregate totals
Required API key scopes
event_filter:readPath parameters
- project_idstring
Response
Example request
GET /api /environments /:project_id /event_filter /metricsExample response
Status 200
Retrieve event filter metrics totals
Single event filter per team. GET /event_filter/ — returns the config (or null if not yet created) POST /event_filter/ — creates or updates the config (upsert) GET /event_filter/metrics/ — time-series metrics GET /event_filter/metrics/totals/ — aggregate totals
Required API key scopes
event_filter:readPath parameters
- project_idstring
Response
Example request
GET /api /environments /:project_id /event_filter /metrics /totals